pgplot5 (5.2.2-19.5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:11 +1100

pgplot5 (5.2.2-19.5build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:50:12 +0000

pgplot5 (5.2.2-19.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 5 to 13.
  * Set debhelper-compat version in Build-Depends.
  * d/rules: Modernize to use dh
  * Bug fix: "Removal of obsolete debhelper compat 5 and 6 in bookworm",
    thanks to Andreas Beckmann (Closes: #1003447).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 19 Jan 2022 15:27:56 +0100

pgplot5 (5.2.2-19.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -fallow-argument-mismatch to fix FTBFS with GCC 10, thanks to
    Vincent McIntyre.  (Closes: 966172)
  * Add -n flag to gzip calls.
  * Remove trailing whitespace.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Jan 2021 01:42:02 +0100

pgplot5 (5.2.2-19.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Search zconf.h in non-multiarch and multiarch locations. (Closes: #853898)
  * Drop obsolete override for lintian false-positive.
  * Drop superfluous prerm and postinst script.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Feb 2017 15:07:35 +0100

pgplot5 (5.2.2-19.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng 1.5" (Closes: #648129)

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Jan 2016 13:33:19 +0100

pgplot5 (5.2.2-19.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTFBS on arm64 and ppc64el (Closes: #784783)
    (thanks to Edmund Grimley Evans and Vincent McIntyre)

 -- Wookey <wookey@debian.org>  Thu, 10 Sep 2015 15:22:13 +0000

pgplot5 (5.2.2-19) unstable; urgency=low

  * Change Suggests to libpng-dev instead of libpng12-dev.

 -- Carlo Segre <segre@debian.org>  Sun, 04 Mar 2012 22:47:21 -0600

pgplot5 (5.2.2-18) unstable; urgency=low

  * [Colin Watson]
     Fix link order so that inter-library linkage of
     libpgplot.so and libcpgplot.so is recorded correctly with
     'ld --as-needed' (Closes: #648950).
  * Changed to source format 3.0 (quilt)
  * Add targets for build-indep and build-arch.
  * Change Build-Depends to unversioned libpng-dev
  * Upgrade to Standards-Version 3.9.2 (no changes)

 -- Carlo Segre <segre@debian.org>  Tue, 22 Nov 2011 00:18:34 -0600

pgplot5 (5.2.2-17) unstable; urgency=low

  * Apply patches when building on 64-bit systems (Closes: #577815)

 -- Carlo Segre <segre@debian.org>  Sun, 25 Apr 2010 10:34:46 -0500

pgplot5 (5.2.2-16) unstable; urgency=low

  * Add debian/source/format file
  * Remove dh_undocumnted call in debian/rules
  * Add ${misc:Depends} to debian/control
  * Change doc-base section to Science/Data Analysis
  * upgrade to Standards-Version 3.8.4 (no changes)

 -- Carlo Segre <segre@debian.org>  Fri, 23 Apr 2010 23:24:00 -0500

pgplot5 (5.2.2-15) unstable; urgency=low

  * Removed Gopal Narayanan from Uploaders upon request of MIA
    team (Closes: #503490).
  * Replaced Depends on x-dev with x11proto-core-dev
  * Upgraded to Standards-Version 3.8.1 (no changes required).

 -- Carlo Segre <segre@debian.org>  Sun, 10 May 2009 13:14:34 -0500

pgplot5 (5.2.2-14) unstable; urgency=low

  * Remove debian/shlibs.local which was causing the insertion of
    the pgplot dependency (thanks to Raphael Hertzog).

 -- Carlo Segre <segre@debian.org>  Tue, 25 Mar 2008 13:59:46 -0500

pgplot5 (5.2.2-13) unstable; urgency=low

  * Insert static library dependencies to avoid pgplot dependency
    being inserted.  This is only a temporary fix! (Closes: #472617)
  * Revert the Provides: pgplot to Replaces/Conflicts.

 -- Carlo Segre <segre@debian.org>  Tue, 25 Mar 2008 09:30:02 -0500

pgplot5 (5.2.2-12) unstable; urgency=low

  * Change Build-Depends and Suggests in debian/control because of
    libungif4 -> libgif transition.
  * Replace Conflicts/Replaces: pgplot with Provides: pgplot since
    debhelper is now inserting dependency on pgplot.
  * Update to Standards-Verison 3.7.3 (no changes).

 -- Carlo Segre <segre@debian.org>  Mon, 24 Mar 2008 22:03:25 -0500

pgplot5 (5.2.2-11) unstable; urgency=low

  * Properly link libpng (Closes: #422365)

 -- Carlo Segre <segre@debian.org>  Mon, 10 Sep 2007 12:25:12 -0500

pgplot5 (5.2.2-10) unstable; urgency=low

  * Courtesy of Niko Tyni:
    - Remove unneeded debian/compc, a "hack to get around a strange
      makefile problem" that was ignoring compiler flags.
    - Include a shared version of the C binding library, needed by
      the Perl bindings. (Closes: #407462)
  * Transition to gfortran since g77 is being removed for lenny

 -- Carlo Segre <segre@debian.org>  Sun, 09 Sep 2007 19:07:26 -0500

pgplot5 (5.2.2-9) unstable; urgency=low

  * Changing Maintainer field upon request of mia@qa.debian.org
  * Designating package as autobuildable

 -- Carlo Segre <segre@debian.org>  Sat, 21 Apr 2007 12:44:09 -0500

pgplot5 (5.2.2-8) unstable; urgency=low

  * Adding co-maintainer: Carlo Segre <segre@debian.org>
  * Applying NMU patches, thanks to Matej Vela <vela@debian.org>:
      libxaw-dev (Closes: #375459)
      dh_installdocs (Closes: #376822)

 -- Carlo Segre <segre@debian.org>  Sat, 15 Jul 2006 16:18:41 -0500

pgplot5 (5.2.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against libxaw7.  Closes: #375459.
  * debian/rules: Remove duplicate invocation of dh_installdocs that was
    causing warnings from install-docs on removal.  Closes: #376822.

 -- Matej Vela <vela@debian.org>  Thu, 13 Jul 2006 07:32:39 +0200

pgplot5 (5.2.2-7) unstable; urgency=low

  * Closing NMU bug for build-depends on png library. Closes: #328345
  * Fixed libpgplot.so is not linked against -lX11 bug. Thanks Achim
    Bohnet <ach@mpe.mpg.de> for the patch. Closes: #281832
  * Closes bug relating to NMU patch for build-depends. Thanks Steinar
    H. Gunderson <sgunderson@bigfoot.com>. Closes: #349385
  * Allowing GIF output since Unisys LZW patent has long expired. Thanks
    Achim Bohnet <ach@mpe.mpg.de>. Closes: #281882
  * Closes fixed FTBFS bug from NMU. Closes: #346934

 -- Gopal Narayanan <gopal@debian.org>  Fri, 16 Jun 2006 10:43:17 -0400

pgplot5 (5.2.2-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 22 Jan 2006 18:34:29 +0100

pgplot5 (5.2.2-6.1) unstable; urgency=low

  * NMU
  * Update Build-Depend for libpng12 (Closes: #328345)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 29 Oct 2005 16:55:13 +1000

pgplot5 (5.2.2-6) unstable; urgency=low

  * Removed PIC compilation for static library. Closes: #146077
  * Remove old dh_dhelp and use dh_installdocs instead. Closes: #248551

 -- Gopal Narayanan <gopal@debian.org>  Wed,  9 Jun 2004 09:45:59 -0400

pgplot5 (5.2.2-5) unstable; urgency=low

  * Added Versaterm Pro for terminal emulation for Macs. Thanks John
    Howe <jhowe@lyra.astro.umass.edu>. Closes: #162198

 -- Gopal Narayanan <gopal@debian.org>  Tue, 24 Sep 2002 19:11:11 -0400

pgplot5 (5.2.2-4) unstable; urgency=low

  * Added xlibs-dev to Build-Depends
  * Added note to README.Debian about needing other dev packages if one
    wants to develop with pgplot5. Also added Suggests field. Thanks
    TANAKA Atushi <atan@bh.wakwak.com>. Closes: #133382

 -- Gopal Narayanan <gopal@debian.org>  Thu, 21 Mar 2002 10:03:35 -0500

pgplot5 (5.2.2-3) unstable; urgency=low

  * Fixed typo in debian/g77_gcc.conf.debian tp remove reference to f2c.
    Thanks Sergio Gelato <Sergio.Gelato@astro.su.se>. Closes: #138897
  * Corrected the long description line problem. Thanks Yotam Rubin
    <yotam@makif.omer.k12.il>. Closes: #130982
  * Some lintian-induced cleanups
  * Added doc-base entry for dhelp

 -- Gopal Narayanan <gopal@debian.org>  Mon, 18 Mar 2002 14:11:15 -0500

pgplot5 (5.2.2-2) unstable; urgency=low

  * Make packages compiled against pgplot be version dependent on this
    version; added -V to dh_makeshlibdeps; this will fix problems in
    packages such as pgperl, wip, etc

 -- Gopal Narayanan <gopal@debian.org>  Tue, 25 Sep 2001 09:40:39 -0400

pgplot5 (5.2.2-1) unstable; urgency=low

  * New upstream release
  * Added CGM drivers, removed GIF drivers (possible Unisys patent
    problem)
  * Added new PNG drivers
  * Updated README.Debian with compilation directions

 -- Gopal Narayanan <gopal@debian.org>  Fri,  6 Jul 2001 13:31:52 -0400

pgplot5 (5.2-16) unstable; urgency=low

  * Added dhelp to Build-Depends. Closes: #102793

 -- Gopal Narayanan <gopal@debian.org>  Thu,  5 Jul 2001 10:24:13 -0400

pgplot5 (5.2-15) unstable; urgency=low

  * Added manpage for pgxwin_server
  * Upgraded standards version
  * g77 added to Build-Depends. Closes: #94527

 -- Gopal Narayanan <gopal@debian.org>  Thu, 19 Apr 2001 14:17:55 -0400

pgplot5 (5.2-14) unstable; urgency=low

  * Modified permissions for two maintainer perl scripts to be able to
    better compile from source

 -- Gopal Narayanan <gopal@debian.org>  Wed, 19 Jul 2000 13:27:42 -0400

pgplot5 (5.2-13) unstable frozen; urgency=low

  * Fixes can't build from source. Closes: #57226,#59499

 -- Gopal Narayanan <gopal@debian.org>  Sun,  5 Mar 2000 18:49:12 -0500

pgplot5 (5.2-12) unstable frozen; urgency=low

  * Add pgplot.html to dhelp system. Closes: #58628
  * Turned off unsupported X2DRIV driver for pgdisp

 -- Gopal Narayanan <gopal@debian.org>  Wed, 23 Feb 2000 10:38:06 -0500

pgplot5 (5.2-11) unstable frozen; urgency=low

  * Fixed executable permission errors in two binaries

 -- Gopal Narayanan <gopal@debian.org>  Mon, 10 Jan 2000 17:20:24 -0500

pgplot5 (5.2-10) unstable frozen; urgency=low

  * New maintainer
  * can not be built from freshly unpacked source Closes: #46669
  * Fixed numerous lintian complaints
  * Upgrade to use debhelper commands

 -- Gopal Narayanan <gopal@debian.org>  Thu, 30 Dec 1999 13:02:18 -0500

pgplot5 (5.2-9) unstable frozen; urgency=low

  * Rebuild for potato

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 19 Jun 1999 15:55:43 -0700


pgplot5 (5.2-8) unstable frozen; urgency=low

  * recompile with libc6 2.0.7u-6

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  3 Dec 1998 01:54:50 -0700

pgplot5 (5.2-7) unstable; urgency=low

  * fix shared lib name and links
  * add major version to package name
  * remove some i386-centrisms

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed,  7 Oct 1998 02:19:44 -0700

pgplot (5.2-6) unstable; urgency=low

  * build shared with fPIC, static without
  * fix permissions and a few other details

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue,  4 Aug 1998 16:34:33 -0700

pgplot (5.2-5) unstable; urgency=low

  * Fix description, and spelling and some other things
  * Compile with egcc.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu, 30 Jul 1998 14:11:32 -0700

pgplot (5.2-4) unstable; urgency=low

  * Trying to get section and distribution right.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 25 Mar 1998 03:44:24 -0700

pgplot (5.2-3) non-free; urgency=low

  * Changed section to math
  * Changed distribution to non-free
  * Something in compiler changed so fPIC option won't work.
    no good for .so libraries anyway. Took it out.
  * Added symlink libpgplot.so.5 to libpgplot.so

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 31 Jan 1998 23:02:05 -0700

pgplot (5.2-2) unstable; urgency=low

  * Initial Release.
  * 5.2-1 never made it to the distribution, but some have it.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 16 Jan 1998 12:49:09 -0700
